
int value;
int port5 = 5;
int port6 = 6;
int port7 = 7;
int port8 = 8;
int port9 = 9;


// Настройка
void setup(){

  //Устанавливаем скорость nорта связи Arduino - ПК
  Serial.begin(9600);

  pinMode(port5, OUTPUT);
  digitalWrite(port5, LOW);
  
  pinMode(port6, OUTPUT);
  digitalWrite(port6, LOW); 

  pinMode(port7, OUTPUT);
  digitalWrite(port7, LOW);

  pinMode(port8, OUTPUT);
  digitalWrite(port8, LOW); 

  pinMode(port9, OUTPUT);
  digitalWrite(port9, LOW);  
}

// Основная nрограмма
void loop(){
    //delay(1000);
    value = analogRead(A0);

    if (value > 1000 ){
      digitalWrite(port5, LOW);
      digitalWrite(port6, LOW);
      digitalWrite(port7, LOW);
      digitalWrite(port8, LOW);
      digitalWrite(port9, LOW);
    }

      if (value >= 0 && value < 25 ){
        digitalWrite(port5, HIGH);
      }
      if (value > 25 && value < 40 ){
        digitalWrite(port6, HIGH);
      }
      if (value > 40 && value < 100 ){
        digitalWrite(port7, HIGH);
      }        
      if (value > 100 && value < 200 ){
        digitalWrite(port8, HIGH);
      }
      if (value > 300 && value < 400 ){
        digitalWrite(port9, HIGH);
      }
    delay(100);
    //Serial.println(value);
    }
